## javanet.staxutils.error
Class IllegalStreamStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      javanet.staxutils.error.IllegalStreamStateException

All Implemented Interfaces:
  Serializable

    public class IllegalStreamStateException

extends IllegalStateException

`IllegalStateException` that includes a StAX `Location` identifying the point where the error occured.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles
See Also:
  Serialized Form

Constructor Summary
`IllegalStreamStateException()`
`IllegalStreamStateException(Location location)`
`IllegalStreamStateException(String s)`
`IllegalStreamStateException(String s, Location location)`

Method Summary
`Location` `getLocation()` Returns the `Location` where the error occured.
`void` `setLocation(Location location)` Sets the `Location` where the error occured.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalStreamStateException

    public IllegalStreamStateException()

### IllegalStreamStateException

    public IllegalStreamStateException(Location location)

### IllegalStreamStateException

    public IllegalStreamStateException(String s)

### IllegalStreamStateException

    public IllegalStreamStateException(String s,
                                       Location location)

Method Detail

### getLocation

    public Location getLocation()

  Returns the `Location` where the error occured.

  Returns:
    The `Location` where the error occured.

### setLocation

    public void setLocation(Location location)

  Sets the `Location` where the error occured.

  Parameters:
    `location` - The `Location` where the error occured.